; Extra macro definitions for 430eForth-lp2553-43n5vis.asm            MM-190130
; -----------------------------------------------------------------------------

.set link = 0

.macro QALIGN  ; align 16 with $0
       .scope
         .set nu = $&1
         .if nu
             DB 0
         .endif
       .ends
.endm

.macro HEAD(cnt,name)  ; create a word header
       QALIGN
       DW link
       .set link = $
       DB cnt,name
       QALIGN
.endm


.macro WTAG(wid)  ; add a wordlist tag
       QALIGN
       DW wid
.endm

.macro CTAG(wid)  ; add a context switching tag
       QALIGN
       DW wid
.endm

; ----------------------------------------------------------------------------
; Last Revision:

